Skip to content

Get Clinical Concept Allergy

Request

Retrieve a specific allergy clinical concept associated with a subject by its ID.

Security
bearer
Path
idstringrequired
Query
subjectIdstringrequired

Subject ID (GUID)

Example:subjectId=123e4567-e89b-12d3-a456-426614174000
Headers
ProjectIdstring, (uuid)required
Example:e6b01018-a333-4732-917e-fe38e91b0fdf
GET
/api/v1/patient-registry/clinical-concepts/allergy/{id}
curl -i -X GET \
  'https://partner.xcures.com/api/v1/patient-registry/clinical-concepts/allergy/{id}?subjectId=123e4567-e89b-12d3-a456-426614174000' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'ProjectId: e6b01018-a333-4732-917e-fe38e91b0fdf'

Responses

Bodyapplication/json
idstringrequired

Unique identifier for the allergy record

documentIdsArray of stringsrequired

List of document IDs associated with the allergy

codesArray of strings

Codes from source documents. Type "standard" indicates the code that determined the OMOP concept assignment

allergystring

Allergy name or description

onsetDatestring

Onset date of the allergy (ISO string)

recordedDatestring

Date the allergy was recorded (ISO string)

clinicalStatusstring

Clinical status of the allergy

reactionstring

Reaction to the allergy

Response
{ "id": "string", "documentIds": [ "string" ], "codes": [ "string" ], "allergy": "string", "onsetDate": "string", "recordedDate": "string", "clinicalStatus": "string", "reaction": "string" }